Perry Weather API

/Observations/History/{stationId}

Time frame limits by dataset:

  • minutely: Maximum 2 days of data
  • hourly: Maximum 7 days of data
  • daily: Maximum 93 days (3 months) of data

Note: Exceeding these limits will return an error.

Response shape varies by dataset:

  • minutely and hourlyresult is an array of ObservationModel
    (ambient temperature, humidity, wind, etc. as point-in-time readings).
  • dailyresult is an array of DailyObservationModel with
    max/min/avg aggregates instead of point-in-time fields.
get
https://customer.api.perryweather.com/v1/Observations/History/{stationId}

Query Parameters

datasetstring

The data granularity: minutely, hourly, or daily.

datestring(date-time)

The start date for the time range.

spaninteger(int32)

Path Parameters

stationIdstringrequired

The weather station identifier.

Headers

x-api-keystringrequired

API key for authenticating requests. Create and manage keys in the Perry Weather dashboard under Integrations > Perry Weather APIs.

Example:YOUR-API-KEY

Response

Success

One Of
lastUpdatedstring | null(date-time)
ambientTemperatureobject
* Additional properties are NOT allowed.
Show Child Parameters
relativeHumidityobject
* Additional properties are NOT allowed.
Show Child Parameters
windSpeedobject
* Additional properties are NOT allowed.
Show Child Parameters
windDirectionnumber | null(double)
windGustobject
* Additional properties are NOT allowed.
Show Child Parameters
windGustDirectionnumber | null(double)
wetBulbobject
* Additional properties are NOT allowed.
Show Child Parameters
solarIrradianceobject
* Additional properties are NOT allowed.
Show Child Parameters
wetBulbGlobalTempobject
* Additional properties are NOT allowed.
Show Child Parameters
windChillobject
* Additional properties are NOT allowed.
Show Child Parameters
ambientHighobject
* Additional properties are NOT allowed.
Show Child Parameters
ambientLowobject
* Additional properties are NOT allowed.
Show Child Parameters
heatIndexobject
* Additional properties are NOT allowed.
Show Child Parameters
rain1Hrobject
* Additional properties are NOT allowed.
Show Child Parameters
rainTodayobject
* Additional properties are NOT allowed.
Show Child Parameters
aqiValobject
* Additional properties are NOT allowed.
Show Child Parameters
feelsLikeobject
* Additional properties are NOT allowed.
Show Child Parameters
get/Observations/History/{stationId}